package com.example.forager.fragments;

import java.lang.System;

/**
 * PersonalPlantListFragment that displays the user's list of found plants,
 * uses a RecyclerView to display this list.
 *
 * There are two observers present here, one for the user's list of plants that is obtained from
 * my RealTime Database and the other listens to new plants added from [MapsFragment].
 *
 * Use the [PersonalPlantListFragment.newInstance] companion object to create an instance
 * of this fragment.
 *
 * @see HomeViewModel.getUsersFullName
 * @see HomeViewModel.getNewPlantListNode
 * @see HomeViewModel.observeFoundPlantList
 *
 * @author Tylor J. Hanshaw
 */
@kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000P\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\u0018\u0000 \u001c2\u00020\u0001:\u0003\u001c\u001d\u001eB\u0005\u00a2\u0006\u0002\u0010\u0002J&\u0010\u0012\u001a\u0004\u0018\u00010\u00132\u0006\u0010\u0014\u001a\u00020\u00152\b\u0010\u0016\u001a\u0004\u0018\u00010\u00172\b\u0010\u0018\u001a\u0004\u0018\u00010\u0019H\u0017J\b\u0010\u001a\u001a\u00020\u001bH\u0016R\u001b\u0010\u0003\u001a\u00020\u00048BX\u0082\u0084\u0002\u00a2\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u0014\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\r0\fX\u0082\u0004\u00a2\u0006\u0002\n\u0000R\u0014\u0010\u000e\u001a\b\u0018\u00010\u000fR\u00020\u0000X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0010\u001a\u00020\u0011X\u0082.\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u001f"}, d2 = {"Lcom/example/forager/fragments/PersonalPlantListFragment;", "Landroidx/fragment/app/Fragment;", "()V", "homeVM", "Lcom/example/forager/viewmodel/HomeViewModel;", "getHomeVM", "()Lcom/example/forager/viewmodel/HomeViewModel;", "homeVM$delegate", "Lkotlin/Lazy;", "numPlantsFound", "", "observer", "Landroidx/lifecycle/Observer;", "Lcom/example/forager/remotedata/model/PlantListNode;", "personalPlantAdaptor", "Lcom/example/forager/fragments/PersonalPlantListFragment$PersonalPlantListAdapter;", "recyclerView", "Landroidx/recyclerview/widget/RecyclerView;", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "", "Companion", "PersonalPlantListAdapter", "PersonalPlantListHolder", "app_debug"})
public final class PersonalPlantListFragment extends androidx.fragment.app.Fragment {
    private androidx.recyclerview.widget.RecyclerView recyclerView;
    private com.example.forager.fragments.PersonalPlantListFragment.PersonalPlantListAdapter personalPlantAdaptor;
    private int numPlantsFound = 0;
    private final kotlin.Lazy homeVM$delegate = null;
    private final androidx.lifecycle.Observer<com.example.forager.remotedata.model.PlantListNode> observer = null;
    @org.jetbrains.annotations.NotNull()
    public static final com.example.forager.fragments.PersonalPlantListFragment.Companion Companion = null;
    private java.util.HashMap _$_findViewCache;
    
    public PersonalPlantListFragment() {
        super();
    }
    
    private final com.example.forager.viewmodel.HomeViewModel getHomeVM() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    @android.annotation.SuppressLint(value = {"LongLogTag"})
    @java.lang.Override()
    public android.view.View onCreateView(@org.jetbrains.annotations.NotNull()
    android.view.LayoutInflater inflater, @org.jetbrains.annotations.Nullable()
    android.view.ViewGroup container, @org.jetbrains.annotations.Nullable()
    android.os.Bundle savedInstanceState) {
        return null;
    }
    
    @java.lang.Override()
    public void onDestroy() {
    }
    
    /**
     * The holder for the RecyclerView in [PersonalPlantListFragment], all binding of data and
     * widgets is done here.
     *
     * @see bindView
     * @param cardItemView View binding tied to [SinglePlantCardBinding]
     * @return [RecyclerView.ViewHolder]
     */
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000,\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0082\u0004\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u00a2\u0006\u0002\u0010\u0004J\u0012\u0010\n\u001a\u00020\u000b2\b\u0010\f\u001a\u0004\u0018\u00010\rH\u0007R\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\u0006X\u0082\u000e\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u000e"}, d2 = {"Lcom/example/forager/fragments/PersonalPlantListFragment$PersonalPlantListHolder;", "Landroidx/recyclerview/widget/RecyclerView$ViewHolder;", "cardItemView", "Lcom/example/forager/databinding/SinglePlantImageViewBinding;", "(Lcom/example/forager/fragments/PersonalPlantListFragment;Lcom/example/forager/databinding/SinglePlantImageViewBinding;)V", "commonName", "Landroid/widget/TextView;", "plantPhoto", "Landroid/widget/ImageView;", "scientificName", "bindView", "", "plantNode", "Lcom/example/forager/remotedata/model/PlantListNode;", "app_debug"})
    final class PersonalPlantListHolder extends androidx.recyclerview.widget.RecyclerView.ViewHolder {
        private com.example.forager.databinding.SinglePlantImageViewBinding cardItemView;
        private android.widget.ImageView plantPhoto;
        private android.widget.TextView commonName;
        private android.widget.TextView scientificName;
        
        public PersonalPlantListHolder(@org.jetbrains.annotations.NotNull()
        com.example.forager.databinding.SinglePlantImageViewBinding cardItemView) {
            super(null);
        }
        
        /**
         * Binds the widgets with data passed to it from [PersonalPlantListAdapter],
         * also decides whether the info drop-down window is shown to the user or not.
         *
         * Also handles logic dealing with what information should be shown to the user, and
         * shortens plant Scientific Names depending on their length to help them fit on the screen.
         *
         * Called from the [onBindViewHolder()][PersonalPlantListAdapter.onBindViewHolder] function
         * in the [PersonalPlantListAdapter].
         *
         * @see PersonalPlantListAdapter
         * @see PersonalPlantListAdapter.onBindViewHolder
         * @param plantNode [PlantListNode]
         */
        @android.annotation.SuppressLint(value = {"LongLogTag"})
        public final void bindView(@org.jetbrains.annotations.Nullable()
        com.example.forager.remotedata.model.PlantListNode plantNode) {
        }
    }
    
    /**
     * Prepares each [plant list node][PlantListNode] to get set up and displayed in the RecyclerView.
     * This adapter also has a custom function for updating the list when a user adds a new plant and
     * a function that allows the user to swipe each item to the left, removing the plant from the
     * RecyclerView, their personal plant plist saved locally and remotely, and the associated marker
     * on the Google Map.
     *
     * @see updateRecyclerView
     * @see setSwipeBehavior
     * @see itemTouchHelper
     * @param personalPlantList [PlantListNode]
     */
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0003\b\u0082\u0004\u0018\u00002\f\u0012\b\u0012\u00060\u0002R\u00020\u00030\u0001B\u0013\u0012\f\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005\u00a2\u0006\u0002\u0010\u0007J\b\u0010\f\u001a\u00020\rH\u0016J\u001c\u0010\u000e\u001a\u00020\u000f2\n\u0010\u0010\u001a\u00060\u0002R\u00020\u00032\u0006\u0010\u0011\u001a\u00020\rH\u0016J\u001c\u0010\u0012\u001a\u00060\u0002R\u00020\u00032\u0006\u0010\u0013\u001a\u00020\u00142\u0006\u0010\u0015\u001a\u00020\rH\u0016J\u0014\u0010\u0016\u001a\u00020\u000f2\f\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005J\u0010\u0010\u0018\u001a\u00020\u000f2\u0006\u0010\u0019\u001a\u00020\u001aH\u0002J\u000e\u0010\u001b\u001a\u00020\u000f2\u0006\u0010\u001c\u001a\u00020\u0006R\u0011\u0010\b\u001a\u00020\t\u00a2\u0006\b\n\u0000\u001a\u0004\b\n\u0010\u000bR\u0014\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005X\u0082\u000e\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u001d"}, d2 = {"Lcom/example/forager/fragments/PersonalPlantListFragment$PersonalPlantListAdapter;", "Landroidx/recyclerview/widget/RecyclerView$Adapter;", "Lcom/example/forager/fragments/PersonalPlantListFragment$PersonalPlantListHolder;", "Lcom/example/forager/fragments/PersonalPlantListFragment;", "personalPlantList", "", "Lcom/example/forager/remotedata/model/PlantListNode;", "(Lcom/example/forager/fragments/PersonalPlantListFragment;Ljava/util/List;)V", "itemTouchHelper", "Landroidx/recyclerview/widget/ItemTouchHelper$SimpleCallback;", "getItemTouchHelper", "()Landroidx/recyclerview/widget/ItemTouchHelper$SimpleCallback;", "getItemCount", "", "onBindViewHolder", "", "holder", "position", "onCreateViewHolder", "parent", "Landroid/view/ViewGroup;", "viewType", "setData", "plantSearched", "setSwipeBehavior", "view", "Landroid/view/View;", "updateRecyclerView", "plantListNodeToAdd", "app_debug"})
    final class PersonalPlantListAdapter extends androidx.recyclerview.widget.RecyclerView.Adapter<com.example.forager.fragments.PersonalPlantListFragment.PersonalPlantListHolder> {
        private java.util.List<com.example.forager.remotedata.model.PlantListNode> personalPlantList;
        @org.jetbrains.annotations.NotNull()
        private final androidx.recyclerview.widget.ItemTouchHelper.SimpleCallback itemTouchHelper = null;
        
        public PersonalPlantListAdapter(@org.jetbrains.annotations.NotNull()
        java.util.List<com.example.forager.remotedata.model.PlantListNode> personalPlantList) {
            super();
        }
        
        @org.jetbrains.annotations.NotNull()
        @java.lang.Override()
        public com.example.forager.fragments.PersonalPlantListFragment.PersonalPlantListHolder onCreateViewHolder(@org.jetbrains.annotations.NotNull()
        android.view.ViewGroup parent, int viewType) {
            return null;
        }
        
        @java.lang.Override()
        public void onBindViewHolder(@org.jetbrains.annotations.NotNull()
        com.example.forager.fragments.PersonalPlantListFragment.PersonalPlantListHolder holder, int position) {
        }
        
        @java.lang.Override()
        public int getItemCount() {
            return 0;
        }
        
        public final void updateRecyclerView(@org.jetbrains.annotations.NotNull()
        com.example.forager.remotedata.model.PlantListNode plantListNodeToAdd) {
        }
        
        private final void setSwipeBehavior(android.view.View view) {
        }
        
        public final void setData(@org.jetbrains.annotations.NotNull()
        java.util.List<com.example.forager.remotedata.model.PlantListNode> plantSearched) {
        }
        
        @org.jetbrains.annotations.NotNull()
        public final androidx.recyclerview.widget.ItemTouchHelper.SimpleCallback getItemTouchHelper() {
            return null;
        }
    }
    
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002\u00a2\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004\u00a8\u0006\u0005"}, d2 = {"Lcom/example/forager/fragments/PersonalPlantListFragment$Companion;", "", "()V", "newInstance", "Lcom/example/forager/fragments/PersonalPlantListFragment;", "app_debug"})
    public static final class Companion {
        
        private Companion() {
            super();
        }
        
        /**
         * Use this companion object method to create an instance of a [PersonalPlantListFragment]
         *
         * @return A new instance of fragment PersonalPlantList
         */
        @org.jetbrains.annotations.NotNull()
        public final com.example.forager.fragments.PersonalPlantListFragment newInstance() {
            return null;
        }
    }
}