package com.example.forager.fragments;

import java.lang.System;

/**
 * PlantDatabaseFragment that displays the locally stored list of plants that can be found in the area,
 * uses a RecyclerView to display the data.
 *
 * This fragment communicates with [HomeViewModel], retrieving the data from my MySQL Database
 *
 * @see HomeViewModel.getLocalPlantData
 *
 * @author Tylor J. Hanshaw
 */
@kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u0000 \u00172\u00020\u0001:\u0003\u0017\u0018\u0019B\u0005\u00a2\u0006\u0002\u0010\u0002J&\u0010\u000f\u001a\u0004\u0018\u00010\u00102\u0006\u0010\u0011\u001a\u00020\u00122\b\u0010\u0013\u001a\u0004\u0018\u00010\u00142\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016H\u0016R\u001b\u0010\u0003\u001a\u00020\u00048BX\u0082\u0084\u0002\u00a2\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006R\u000e\u0010\t\u001a\u00020\nX\u0082.\u00a2\u0006\u0002\n\u0000R\u0014\u0010\u000b\u001a\b\u0018\u00010\fR\u00020\u0000X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082.\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u001a"}, d2 = {"Lcom/example/forager/fragments/PlantDatabaseFragment;", "Landroidx/fragment/app/Fragment;", "()V", "homeVM", "Lcom/example/forager/viewmodel/HomeViewModel;", "getHomeVM", "()Lcom/example/forager/viewmodel/HomeViewModel;", "homeVM$delegate", "Lkotlin/Lazy;", "plantCommonNames", "Landroid/widget/EditText;", "plantDBAdapter", "Lcom/example/forager/fragments/PlantDatabaseFragment$PlantDBAdapter;", "recyclerView", "Landroidx/recyclerview/widget/RecyclerView;", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "savedInstanceState", "Landroid/os/Bundle;", "Companion", "PlantDBAdapter", "PlantDBHolder", "app_debug"})
public final class PlantDatabaseFragment extends androidx.fragment.app.Fragment {
    private final kotlin.Lazy homeVM$delegate = null;
    private androidx.recyclerview.widget.RecyclerView recyclerView;
    private com.example.forager.fragments.PlantDatabaseFragment.PlantDBAdapter plantDBAdapter;
    private android.widget.EditText plantCommonNames;
    @org.jetbrains.annotations.NotNull()
    public static final com.example.forager.fragments.PlantDatabaseFragment.Companion Companion = null;
    private java.util.HashMap _$_findViewCache;
    
    public PlantDatabaseFragment() {
        super();
    }
    
    private final com.example.forager.viewmodel.HomeViewModel getHomeVM() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    @java.lang.Override()
    public android.view.View onCreateView(@org.jetbrains.annotations.NotNull()
    android.view.LayoutInflater inflater, @org.jetbrains.annotations.Nullable()
    android.view.ViewGroup container, @org.jetbrains.annotations.Nullable()
    android.os.Bundle savedInstanceState) {
        return null;
    }
    
    /**
     * The holder for the RecyclerView in [PlantDatabaseFragment], all binding of data and widgets
     * is done here.
     *
     * @see bindView
     * @param cardItemView [SinglePlantCardBinding]
     */
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000,\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0082\u0004\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u00a2\u0006\u0002\u0010\u0004J\u0010\u0010\n\u001a\u00020\u000b2\b\u0010\f\u001a\u0004\u0018\u00010\rR\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e\u00a2\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\u0006X\u0082\u000e\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u000e"}, d2 = {"Lcom/example/forager/fragments/PlantDatabaseFragment$PlantDBHolder;", "Landroidx/recyclerview/widget/RecyclerView$ViewHolder;", "cardItemView", "Lcom/example/forager/databinding/SinglePlantImageViewBinding;", "(Lcom/example/forager/fragments/PlantDatabaseFragment;Lcom/example/forager/databinding/SinglePlantImageViewBinding;)V", "commonName", "Landroid/widget/TextView;", "plantImage", "Landroid/widget/ImageView;", "scientificName", "bindView", "", "plant", "Lcom/example/forager/localdata/model/Plant;", "app_debug"})
    final class PlantDBHolder extends androidx.recyclerview.widget.RecyclerView.ViewHolder {
        private com.example.forager.databinding.SinglePlantImageViewBinding cardItemView;
        private android.widget.TextView commonName;
        private android.widget.TextView scientificName;
        private android.widget.ImageView plantImage;
        
        public PlantDBHolder(@org.jetbrains.annotations.NotNull()
        com.example.forager.databinding.SinglePlantImageViewBinding cardItemView) {
            super(null);
        }
        
        public final void bindView(@org.jetbrains.annotations.Nullable()
        com.example.forager.localdata.model.Plant plant) {
        }
    }
    
    /**
     * Prepares each [Plant] to be displayed in a RecyclerView, each plant has a menu when pressed
     * that displays extra data related to the plant. Data includes the plant color, height, sun needed,
     * and the plant type.
     *
     * @see animateView
     * @param plantList [List<Plant>][plantList]
     */
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000:\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004\b\u0082\u0004\u0018\u00002\f\u0012\b\u0012\u00060\u0002R\u00020\u00030\u0001B\u0015\u0012\u000e\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005\u00a2\u0006\u0002\u0010\u0007J\u000e\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u000bJ\b\u0010\f\u001a\u00020\rH\u0016J\u001c\u0010\u000e\u001a\u00020\t2\n\u0010\u000f\u001a\u00060\u0002R\u00020\u00032\u0006\u0010\u0010\u001a\u00020\rH\u0016J\u001c\u0010\u0011\u001a\u00060\u0002R\u00020\u00032\u0006\u0010\u0012\u001a\u00020\u00132\u0006\u0010\u0014\u001a\u00020\rH\u0016J\u0014\u0010\u0015\u001a\u00020\t2\f\u0010\u0016\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005R\u0016\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005X\u0082\u000e\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u0017"}, d2 = {"Lcom/example/forager/fragments/PlantDatabaseFragment$PlantDBAdapter;", "Landroidx/recyclerview/widget/RecyclerView$Adapter;", "Lcom/example/forager/fragments/PlantDatabaseFragment$PlantDBHolder;", "Lcom/example/forager/fragments/PlantDatabaseFragment;", "plantList", "", "Lcom/example/forager/localdata/model/Plant;", "(Lcom/example/forager/fragments/PlantDatabaseFragment;Ljava/util/List;)V", "animateView", "", "viewHolder", "Landroidx/recyclerview/widget/RecyclerView$ViewHolder;", "getItemCount", "", "onBindViewHolder", "holder", "position", "onCreateViewHolder", "parent", "Landroid/view/ViewGroup;", "viewType", "setData", "plantSearched", "app_debug"})
    final class PlantDBAdapter extends androidx.recyclerview.widget.RecyclerView.Adapter<com.example.forager.fragments.PlantDatabaseFragment.PlantDBHolder> {
        private java.util.List<com.example.forager.localdata.model.Plant> plantList;
        
        public PlantDBAdapter(@org.jetbrains.annotations.Nullable()
        java.util.List<com.example.forager.localdata.model.Plant> plantList) {
            super();
        }
        
        @org.jetbrains.annotations.NotNull()
        @java.lang.Override()
        public com.example.forager.fragments.PlantDatabaseFragment.PlantDBHolder onCreateViewHolder(@org.jetbrains.annotations.NotNull()
        android.view.ViewGroup parent, int viewType) {
            return null;
        }
        
        @java.lang.Override()
        public void onBindViewHolder(@org.jetbrains.annotations.NotNull()
        com.example.forager.fragments.PlantDatabaseFragment.PlantDBHolder holder, int position) {
        }
        
        @java.lang.Override()
        public int getItemCount() {
            return 0;
        }
        
        public final void animateView(@org.jetbrains.annotations.NotNull()
        androidx.recyclerview.widget.RecyclerView.ViewHolder viewHolder) {
        }
        
        public final void setData(@org.jetbrains.annotations.NotNull()
        java.util.List<com.example.forager.localdata.model.Plant> plantSearched) {
        }
    }
    
    @kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002\u00a2\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004\u00a8\u0006\u0005"}, d2 = {"Lcom/example/forager/fragments/PlantDatabaseFragment$Companion;", "", "()V", "newInstance", "Lcom/example/forager/fragments/PlantDatabaseFragment;", "app_debug"})
    public static final class Companion {
        
        private Companion() {
            super();
        }
        
        /**
         * Use this companion object to create a new instance of a [PlantDatabaseFragment]
         *
         * @return A new instance of fragment PlantDatabaseFragment
         */
        @org.jetbrains.annotations.NotNull()
        public final com.example.forager.fragments.PlantDatabaseFragment newInstance() {
            return null;
        }
    }
}