package com.example.forager.remotedata;

import java.lang.System;

/**
 * Data class used when retrieving data from my Realtime Database asynchronously.
 * One of the three parameters will be non-null, the call will either *return* a data snapshot,
 * [PlantListNode], or an exception.
 *
 * @param dataSnapshot [DataSnapshot]?
 * @param plants [MutableList<PlantListNode>]?
 * @param exception [Exception]?
 *
 * @author Tylor J. Hanshaw
 */
@kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000:\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0012\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0086\b\u0018\u00002\u00020\u0001B5\u0012\n\b\u0002\u0010\u0002\u001a\u0004\u0018\u00010\u0003\u0012\u0010\b\u0002\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005\u0012\u0010\b\u0002\u0010\u0007\u001a\n\u0018\u00010\bj\u0004\u0018\u0001`\t\u00a2\u0006\u0002\u0010\nJ\u000b\u0010\u0017\u001a\u0004\u0018\u00010\u0003H\u00c6\u0003J\u0011\u0010\u0018\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005H\u00c6\u0003J\u0011\u0010\u0019\u001a\n\u0018\u00010\bj\u0004\u0018\u0001`\tH\u00c6\u0003J9\u0010\u001a\u001a\u00020\u00002\n\b\u0002\u0010\u0002\u001a\u0004\u0018\u00010\u00032\u0010\b\u0002\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u00052\u0010\b\u0002\u0010\u0007\u001a\n\u0018\u00010\bj\u0004\u0018\u0001`\tH\u00c6\u0001J\u0013\u0010\u001b\u001a\u00020\u001c2\b\u0010\u001d\u001a\u0004\u0018\u00010\u0001H\u00d6\u0003J\t\u0010\u001e\u001a\u00020\u001fH\u00d6\u0001J\t\u0010 \u001a\u00020!H\u00d6\u0001R\u001c\u0010\u0002\u001a\u0004\u0018\u00010\u0003X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\"\u0010\u0007\u001a\n\u0018\u00010\bj\u0004\u0018\u0001`\tX\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u000f\u0010\u0010\"\u0004\b\u0011\u0010\u0012R\"\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u0013\u0010\u0014\"\u0004\b\u0015\u0010\u0016\u00a8\u0006\""}, d2 = {"Lcom/example/forager/remotedata/DataResponse;", "", "dataSnapshot", "Lcom/google/firebase/database/DataSnapshot;", "plants", "", "Lcom/example/forager/remotedata/model/PlantListNode;", "exception", "Ljava/lang/Exception;", "Lkotlin/Exception;", "(Lcom/google/firebase/database/DataSnapshot;Ljava/util/List;Ljava/lang/Exception;)V", "getDataSnapshot", "()Lcom/google/firebase/database/DataSnapshot;", "setDataSnapshot", "(Lcom/google/firebase/database/DataSnapshot;)V", "getException", "()Ljava/lang/Exception;", "setException", "(Ljava/lang/Exception;)V", "getPlants", "()Ljava/util/List;", "setPlants", "(Ljava/util/List;)V", "component1", "component2", "component3", "copy", "equals", "", "other", "hashCode", "", "toString", "", "app_debug"})
public final class DataResponse {
    @org.jetbrains.annotations.Nullable()
    private com.google.firebase.database.DataSnapshot dataSnapshot;
    @org.jetbrains.annotations.Nullable()
    private java.util.List<com.example.forager.remotedata.model.PlantListNode> plants;
    @org.jetbrains.annotations.Nullable()
    private java.lang.Exception exception;
    
    /**
     * Data class used when retrieving data from my Realtime Database asynchronously.
     * One of the three parameters will be non-null, the call will either *return* a data snapshot,
     * [PlantListNode], or an exception.
     *
     * @param dataSnapshot [DataSnapshot]?
     * @param plants [MutableList<PlantListNode>]?
     * @param exception [Exception]?
     *
     * @author Tylor J. Hanshaw
     */
    @org.jetbrains.annotations.NotNull()
    public final com.example.forager.remotedata.DataResponse copy(@org.jetbrains.annotations.Nullable()
    com.google.firebase.database.DataSnapshot dataSnapshot, @org.jetbrains.annotations.Nullable()
    java.util.List<com.example.forager.remotedata.model.PlantListNode> plants, @org.jetbrains.annotations.Nullable()
    java.lang.Exception exception) {
        return null;
    }
    
    /**
     * Data class used when retrieving data from my Realtime Database asynchronously.
     * One of the three parameters will be non-null, the call will either *return* a data snapshot,
     * [PlantListNode], or an exception.
     *
     * @param dataSnapshot [DataSnapshot]?
     * @param plants [MutableList<PlantListNode>]?
     * @param exception [Exception]?
     *
     * @author Tylor J. Hanshaw
     */
    @java.lang.Override()
    public boolean equals(@org.jetbrains.annotations.Nullable()
    java.lang.Object other) {
        return false;
    }
    
    /**
     * Data class used when retrieving data from my Realtime Database asynchronously.
     * One of the three parameters will be non-null, the call will either *return* a data snapshot,
     * [PlantListNode], or an exception.
     *
     * @param dataSnapshot [DataSnapshot]?
     * @param plants [MutableList<PlantListNode>]?
     * @param exception [Exception]?
     *
     * @author Tylor J. Hanshaw
     */
    @java.lang.Override()
    public int hashCode() {
        return 0;
    }
    
    /**
     * Data class used when retrieving data from my Realtime Database asynchronously.
     * One of the three parameters will be non-null, the call will either *return* a data snapshot,
     * [PlantListNode], or an exception.
     *
     * @param dataSnapshot [DataSnapshot]?
     * @param plants [MutableList<PlantListNode>]?
     * @param exception [Exception]?
     *
     * @author Tylor J. Hanshaw
     */
    @org.jetbrains.annotations.NotNull()
    @java.lang.Override()
    public java.lang.String toString() {
        return null;
    }
    
    public DataResponse() {
        super();
    }
    
    public DataResponse(@org.jetbrains.annotations.Nullable()
    com.google.firebase.database.DataSnapshot dataSnapshot, @org.jetbrains.annotations.Nullable()
    java.util.List<com.example.forager.remotedata.model.PlantListNode> plants, @org.jetbrains.annotations.Nullable()
    java.lang.Exception exception) {
        super();
    }
    
    @org.jetbrains.annotations.Nullable()
    public final com.google.firebase.database.DataSnapshot component1() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public final com.google.firebase.database.DataSnapshot getDataSnapshot() {
        return null;
    }
    
    public final void setDataSnapshot(@org.jetbrains.annotations.Nullable()
    com.google.firebase.database.DataSnapshot p0) {
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.util.List<com.example.forager.remotedata.model.PlantListNode> component2() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.util.List<com.example.forager.remotedata.model.PlantListNode> getPlants() {
        return null;
    }
    
    public final void setPlants(@org.jetbrains.annotations.Nullable()
    java.util.List<com.example.forager.remotedata.model.PlantListNode> p0) {
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.Exception component3() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.Exception getException() {
        return null;
    }
    
    public final void setException(@org.jetbrains.annotations.Nullable()
    java.lang.Exception p0) {
    }
}