package com.example.forager.remotedata.model;

import java.lang.System;

/**
 * Data class that holds all relevant information pertaining to a user. An instance of User is created
 * whenever someone first registers an account and retrieved whenever the user logs in again.
 *
 * @sample [com.example.forager.repository.register.RegisterActivity.writeNewUser]
 *
 * @param userName [String]?
 * @param fullName [String]?
 * @param email [String]?
 * @param dateCreated [String]?
 * @param numPlantsFound [Int]
 *
 * @author Tylor J. Hanshaw
 */
@kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u000f\n\u0002\u0010\u000b\n\u0002\b\u0004\b\u0086\b\u0018\u00002\u00020\u0001B\'\u0012\n\b\u0002\u0010\u0002\u001a\u0004\u0018\u00010\u0003\u0012\n\b\u0002\u0010\u0004\u001a\u0004\u0018\u00010\u0003\u0012\b\b\u0002\u0010\u0005\u001a\u00020\u0006\u00a2\u0006\u0002\u0010\u0007J\u000b\u0010\u0011\u001a\u0004\u0018\u00010\u0003H\u00c6\u0003J\u000b\u0010\u0012\u001a\u0004\u0018\u00010\u0003H\u00c6\u0003J\t\u0010\u0013\u001a\u00020\u0006H\u00c6\u0003J+\u0010\u0014\u001a\u00020\u00002\n\b\u0002\u0010\u0002\u001a\u0004\u0018\u00010\u00032\n\b\u0002\u0010\u0004\u001a\u0004\u0018\u00010\u00032\b\b\u0002\u0010\u0005\u001a\u00020\u0006H\u00c6\u0001J\u0013\u0010\u0015\u001a\u00020\u00162\b\u0010\u0017\u001a\u0004\u0018\u00010\u0001H\u00d6\u0003J\t\u0010\u0018\u001a\u00020\u0006H\u00d6\u0001J\t\u0010\u0019\u001a\u00020\u0003H\u00d6\u0001R\u0013\u0010\u0004\u001a\u0004\u0018\u00010\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\b\u0010\tR\u001a\u0010\u0005\u001a\u00020\u0006X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u000b\"\u0004\b\f\u0010\rR\u001c\u0010\u0002\u001a\u0004\u0018\u00010\u0003X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u000e\u0010\t\"\u0004\b\u000f\u0010\u0010\u00a8\u0006\u001a"}, d2 = {"Lcom/example/forager/remotedata/model/User;", "", "userName", "", "dateCreated", "numPlantsFound", "", "(Ljava/lang/String;Ljava/lang/String;I)V", "getDateCreated", "()Ljava/lang/String;", "getNumPlantsFound", "()I", "setNumPlantsFound", "(I)V", "getUserName", "setUserName", "(Ljava/lang/String;)V", "component1", "component2", "component3", "copy", "equals", "", "other", "hashCode", "toString", "app_debug"})
public final class User {
    @org.jetbrains.annotations.Nullable()
    private java.lang.String userName;
    @org.jetbrains.annotations.Nullable()
    private final java.lang.String dateCreated = null;
    private int numPlantsFound;
    
    /**
     * Data class that holds all relevant information pertaining to a user. An instance of User is created
     * whenever someone first registers an account and retrieved whenever the user logs in again.
     *
     * @sample [com.example.forager.repository.register.RegisterActivity.writeNewUser]
     *
     * @param userName [String]?
     * @param fullName [String]?
     * @param email [String]?
     * @param dateCreated [String]?
     * @param numPlantsFound [Int]
     *
     * @author Tylor J. Hanshaw
     */
    @org.jetbrains.annotations.NotNull()
    public final com.example.forager.remotedata.model.User copy(@org.jetbrains.annotations.Nullable()
    java.lang.String userName, @org.jetbrains.annotations.Nullable()
    java.lang.String dateCreated, int numPlantsFound) {
        return null;
    }
    
    /**
     * Data class that holds all relevant information pertaining to a user. An instance of User is created
     * whenever someone first registers an account and retrieved whenever the user logs in again.
     *
     * @sample [com.example.forager.repository.register.RegisterActivity.writeNewUser]
     *
     * @param userName [String]?
     * @param fullName [String]?
     * @param email [String]?
     * @param dateCreated [String]?
     * @param numPlantsFound [Int]
     *
     * @author Tylor J. Hanshaw
     */
    @java.lang.Override()
    public boolean equals(@org.jetbrains.annotations.Nullable()
    java.lang.Object other) {
        return false;
    }
    
    /**
     * Data class that holds all relevant information pertaining to a user. An instance of User is created
     * whenever someone first registers an account and retrieved whenever the user logs in again.
     *
     * @sample [com.example.forager.repository.register.RegisterActivity.writeNewUser]
     *
     * @param userName [String]?
     * @param fullName [String]?
     * @param email [String]?
     * @param dateCreated [String]?
     * @param numPlantsFound [Int]
     *
     * @author Tylor J. Hanshaw
     */
    @java.lang.Override()
    public int hashCode() {
        return 0;
    }
    
    /**
     * Data class that holds all relevant information pertaining to a user. An instance of User is created
     * whenever someone first registers an account and retrieved whenever the user logs in again.
     *
     * @sample [com.example.forager.repository.register.RegisterActivity.writeNewUser]
     *
     * @param userName [String]?
     * @param fullName [String]?
     * @param email [String]?
     * @param dateCreated [String]?
     * @param numPlantsFound [Int]
     *
     * @author Tylor J. Hanshaw
     */
    @org.jetbrains.annotations.NotNull()
    @java.lang.Override()
    public java.lang.String toString() {
        return null;
    }
    
    public User() {
        super();
    }
    
    public User(@org.jetbrains.annotations.Nullable()
    java.lang.String userName, @org.jetbrains.annotations.Nullable()
    java.lang.String dateCreated, int numPlantsFound) {
        super();
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.String component1() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.String getUserName() {
        return null;
    }
    
    public final void setUserName(@org.jetbrains.annotations.Nullable()
    java.lang.String p0) {
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.String component2() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.String getDateCreated() {
        return null;
    }
    
    public final int component3() {
        return 0;
    }
    
    public final int getNumPlantsFound() {
        return 0;
    }
    
    public final void setNumPlantsFound(int p0) {
    }
}